## GstDxvaH265Decoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstH265Decoder
                            ╰──GstDxvaH265Decoder

### Members

`parent` (GstH265Decoder) –
No description available

Since : 1.24

### Class structure

#### GstDxvaH265DecoderClass

##### Fields

`parent_class` (GstH265DecoderClass) –
No description available

Since : 1.24

### GstDxva.DxvaH265DecoderClass

##### Attributes

`parent_class` (GstCodecs.H265DecoderClass) –
No description available

Since : 1.24

### GstDxva.DxvaH265DecoderClass

##### Attributes

`parent_class` (GstCodecs.H265DecoderClass) –
No description available

Since : 1.24

## GstDxva.DxvaH265Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H265Decoder
                            ╰──GstDxva.DxvaH265Decoder

### Members

`parent` (GstCodecs.H265Decoder) –
No description available

Since : 1.24

## GstDxva.DxvaH265Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H265Decoder
                            ╰──GstDxva.DxvaH265Decoder

### Members

`parent` (GstCodecs.H265Decoder) –
No description available

Since : 1.24

### Virtual Methods

#### configure

    GstFlowReturn
    configure (GstDxvaH265Decoder * decoder,
               GstVideoCodecState * input_state,
               const GstVideoInfo * info,
               gint crop_x,
               gint crop_y,
               gint coded_width,
               gint coded_height,
               gint max_dpb_size)

Parameters:

`decoder` –
No description available
`input_state` –
No description available
`info` –
No description available
`crop_x` –
No description available
`crop_y` –
No description available
`coded_width` –
No description available
`coded_height` –
No description available
`max_dpb_size` –
No description available
Returns –
No description available

#### vfunc_configure

    function vfunc_configure(decoder: GstDxva.DxvaH265Decoder, input_state: GstVideo.VideoCodecState, info: GstVideo.VideoInfo, crop_x: Number, crop_y: Number, coded_width: Number, coded_height: Number, max_dpb_size: Number): {
        // javascript implementation of the 'configure' virtual method
    }

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`input_state` (GstVideo.VideoCodecState) –
No description available
`info` (GstVideo.VideoInfo) –
No description available
`crop_x` (Number) –
No description available
`crop_y` (Number) –
No description available
`coded_width` (Number) –
No description available
`coded_height` (Number) –
No description available
`max_dpb_size` (Number) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_configure

    def do_configure (decoder, input_state, info, crop_x, crop_y, coded_width, coded_height, max_dpb_size):
        #python implementation of the 'configure' virtual method

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`input_state` (GstVideo.VideoCodecState) –
No description available
`info` (GstVideo.VideoInfo) –
No description available
`crop_x` (int) –
No description available
`crop_y` (int) –
No description available
`coded_width` (int) –
No description available
`coded_height` (int) –
No description available
`max_dpb_size` (int) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### end_picture

    GstFlowReturn
    end_picture (GstDxvaH265Decoder * decoder,
                 GstCodecPicture * picture,
                 GPtrArray * ref_pics,
                 const GstDxvaDecodingArgs * args)

Parameters:

`decoder` –
No description available
`picture` –
No description available
`ref_pics` –
No description available
`args` –
No description available
Returns –
No description available

#### get_picture_id

    guint8
    get_picture_id (GstDxvaH265Decoder * decoder,
                    GstCodecPicture * picture)

Parameters:

`decoder` –
No description available
`picture` –
No description available
Returns –
No description available

#### vfunc_get_picture_id

    function vfunc_get_picture_id(decoder: GstDxva.DxvaH265Decoder, picture: GstCodecs.CodecPicture): {
        // javascript implementation of the 'get_picture_id' virtual method
    }

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
Returns (Number) –
No description available

#### do_get_picture_id

    def do_get_picture_id (decoder, picture):
        #python implementation of the 'get_picture_id' virtual method

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
Returns (int) –
No description available

#### new_picture

    GstFlowReturn
    new_picture (GstDxvaH265Decoder * decoder,
                 GstCodecPicture * picture)

Parameters:

`decoder` –
No description available
`picture` –
No description available
Returns –
No description available

#### vfunc_new_picture

    function vfunc_new_picture(decoder: GstDxva.DxvaH265Decoder, picture: GstCodecs.CodecPicture): {
        // javascript implementation of the 'new_picture' virtual method
    }

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_new_picture

    def do_new_picture (decoder, picture):
        #python implementation of the 'new_picture' virtual method

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### output_picture

    GstFlowReturn
    output_picture (GstDxvaH265Decoder * decoder,
                    GstVideoCodecFrame * frame,
                    GstCodecPicture * picture,
                    GstVideoBufferFlags buffer_flags,
                    gint display_width,
                    gint display_height)

Parameters:

`decoder` –
No description available
`frame` –
No description available
`picture` –
No description available
`buffer_flags` –
No description available
`display_width` –
No description available
`display_height` –
No description available
Returns –
No description available

#### vfunc_output_picture

    function vfunc_output_picture(decoder: GstDxva.DxvaH265Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.CodecPicture, buffer_flags: GstVideo.VideoBufferFlags, display_width: Number, display_height: Number): {
        // javascript implementation of the 'output_picture' virtual method
    }

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
`buffer_flags` (GstVideo.VideoBufferFlags) –
No description available
`display_width` (Number) –
No description available
`display_height` (Number) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_output_picture

    def do_output_picture (decoder, frame, picture, buffer_flags, display_width, display_height):
        #python implementation of the 'output_picture' virtual method

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
`buffer_flags` (GstVideo.VideoBufferFlags) –
No description available
`display_width` (int) –
No description available
`display_height` (int) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### start_picture

    GstFlowReturn
    start_picture (GstDxvaH265Decoder * decoder,
                   GstCodecPicture * picture,
                   guint8 * picture_id)

Parameters:

`decoder` –
No description available
`picture` –
No description available
`picture_id` –
No description available
Returns –
No description available

#### vfunc_start_picture

    function vfunc_start_picture(decoder: GstDxva.DxvaH265Decoder, picture: GstCodecs.CodecPicture, picture_id: Number): {
        // javascript implementation of the 'start_picture' virtual method
    }

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
`picture_id` (Number) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_start_picture

    def do_start_picture (decoder, picture, picture_id):
        #python implementation of the 'start_picture' virtual method

Parameters:

`decoder` (GstDxva.DxvaH265Decoder) –
No description available
`picture` (GstCodecs.CodecPicture) –
No description available
`picture_id` (int) –
No description available
Returns (Gst.FlowReturn) –
No description available

The results of the search are